require 'cabeza-de-termo/assets/bundles/reference-base'

module CabezaDeTermo
	module Assets
		# A reference to an asset. The reference_id can be any string, such as
		# 	'/vendor/bootstrap/css/bootstrap.min.css'
		# or
		#   'main_layout'
		#
		# or anything at all.
		#
		class AssetReference < ReferenceBase
	    # Add the asset reference to the assets_collector
			def collect_assets_with(assets_collector)
				assets_collector.include reference_id
			end
		end
	end
end