require 'cabeza-de-termo/assets/bundles/reference-base'

module CabezaDeTermo
	module Assets
		# A reference to an assets bundle. The reference_id can be the bundle name, such as
		# 	:jquery
		# or
		#   :'bootstrap-css'
		#
		class BundleReference < ReferenceBase
				# Add the assets referenced by the bundle to the assets_collector
			def collect_assets_with(assets_collector)
				assets_collector.require reference_id
			end
		end
	end
end